CUPTI (PDF) - v9.0.176 (older) - Last updated September 2, 2017 - Send Feedback

## 3.58. CUpti_ActivitySynchronization Struct Reference

## [CUPTI Activity API]

This activity is used to track various CUDA synchronization APIs. (CUPTI_ACTIVITY_KIND_SYNCHRONIZATION).

### Public Variables

uint32_t contextId
uint32_t correlationId
uint32_t cudaEventId
uint64_t end
CUpti_ActivityKind kind
uint64_t start
uint32_t streamId
CUpti_ActivitySynchronizationType type

### Variables

uint32_t CUpti_ActivitySynchronization::contextId [inherited]

  The ID of the context for which the synchronization API is called. In case of context synchronization API it is the context id for which the API is called. In case of stream/event synchronization it is the ID of the context where the stream/event was created.

uint32_t CUpti_ActivitySynchronization::correlationId [inherited]

  The correlation ID of the API to which this result is associated.

uint32_t CUpti_ActivitySynchronization::cudaEventId [inherited]

  The event ID for which the synchronization API is called. A CUPTI_SYNCHRONIZATION_INVALID_VALUE value indicate the field is not applicable for this record. Not valid for cuCtxSynchronize, cuStreamSynchronize.

uint64_t CUpti_ActivitySynchronization::end [inherited]

  The end timestamp for the function, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the function.

CUpti_ActivityKind CUpti_ActivitySynchronization::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_SYNCHRONIZATION.

uint64_t CUpti_ActivitySynchronization::start [inherited]

  The start timestamp for the function, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the function.

uint32_t CUpti_ActivitySynchronization::streamId [inherited]

  The compute stream for which the synchronization API is called. A CUPTI_SYNCHRONIZATION_INVALID_VALUE value indicate the field is not applicable for this record. Not valid for cuCtxSynchronize, cuEventSynchronize.

CUpti_ActivitySynchronizationType CUpti_ActivitySynchronization::type [inherited]

  The type of record.